package com.steerinfo.product.emsstandard.controller;

import com.steerinfo.product.emsstandard.model.EmsStandard;
import com.steerinfo.product.emsstandard.service.IEmsStandardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/${api.version}/emsstandard")
public class EmsStandardController {

    @Autowired
    private IEmsStandardService emsStandardService;

    @GetMapping("/getStandards")
    public Map getStandards(){
        List<EmsStandard> all = emsStandardService.getStandards();
        Map map = new HashMap<>();
        map.put("code","0");
        map.put("data",all);
        return map;
    }

}
