package com.steerinfo.product.emsvqcmbasesteel.controller;

import com.steerinfo.product.emsvqcmbasesteel.model.EmsVQcmBaseSteel;
import com.steerinfo.product.emsvqcmbasesteel.service.IEmsVQcmBaseSteelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/${api.version}/emsvqcmbasesteel")
public class EmsVQcmBaseSteelController {

    @Autowired
    private IEmsVQcmBaseSteelService emsVQcmBaseSteelService;
    @GetMapping("/getBase")
    public Map getBase(){
        List<EmsVQcmBaseSteel> base = emsVQcmBaseSteelService.getBase();
        Map map = new HashMap<>();
        map.put("code","0");
        map.put("data",base);
        return map;
    }
}
