package com.steerinfo.product.emssteel.controller;


import com.steerinfo.product.emssteel.model.EmsSteel;
import com.steerinfo.product.emssteel.service.IEmsSteelService;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/${api.version}/emssteel")
public class EmsSteelController  {

    @Autowired
    IEmsSteelService emsSteelService;
    @GetMapping("/getGrades")
    public Map getGrades(@Param("type") String type){
        List<EmsSteel> all = emsSteelService.getGrades(type);
        Map map = new HashMap<>();
        map.put("code","0");
        map.put("data",all);
        return map;
    }


    @GetMapping("/getSpecifications")
    public Map getSpecifications(@Param("type") String type){
        List<EmsSteel> all = emsSteelService.getSpecifications(type);
        Map map = new HashMap<>();
        map.put("code","0");
        map.put("data",all);
        return map;
    }

}
