package com.steerinfo.product.emssteel.service.impl;

import com.steerinfo.config.dynamicDataSource.TargetDataSource;
import com.steerinfo.product.emssteel.mapper.EmsSteelMapper;
import com.steerinfo.product.emssteel.model.EmsSteel;
import com.steerinfo.product.emssteel.service.IEmsSteelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service(value = "emsSteelService")
public class EmsSteelServiceImpl implements IEmsSteelService {
    @Autowired
    private EmsSteelMapper emsSteelMapper;
    @TargetDataSource(name = "ds1")
    public List<EmsSteel> getGrades(String type) {
        return  emsSteelMapper.getGrades(type);
    }
    @TargetDataSource(name = "ds1")
    public List<EmsSteel> getSpecifications(String type) {
        return emsSteelMapper.getSpecifications(type);
    }

}
