package com.steerinfo.product.emsvqcmstdchem.controller;
import com.steerinfo.product.emsvqcmstdchem.model.EmsVQcmStdChem;
import com.steerinfo.product.emsvqcmstdchem.service.IEmsVQcmStdChemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/${api.version}/emsvqcmstdchem")
public class EmsVQcmStdChemController  {
    @Autowired
    private IEmsVQcmStdChemService emsVQcmStdChemService;

    @GetMapping("/getstdchem")
    public Map getstdchem(){
        List<EmsVQcmStdChem> getstdchem = emsVQcmStdChemService.getstdchem();
        Map map = new HashMap<>();
        map.put("code","0");
        map.put("data",getstdchem);
        return  map;
    }

}
