package com.steerinfo.quality.bfhyd.model;


import lombok.Data;

import java.util.Date;

@Data
public class Bfhyd  {
    /**
     * 化验单号(BFHYD_ZJDH,VARCHAR,200)
     */
    private String bfhydZjdh;

    /**
     * 采样日期(BFHYD_SYRQ,TIMESTAMP,7)
     */
    private String bfhydSyrq;

    /**
     * 化验日期(BFHYD_HYRQ,TIMESTAMP,7)
     */
    private String  bfhydHyrq;

    /**
     * 取样地点(BFHYD_26,VARCHAR,100)
     */
    private String bfhyd26;

    private String bfhydZjr;
    /**
     * 样品名称(BFHYD_27,VARCHAR,100)
     */
    private String bfhyd27;

    /**
     * 含苯g/m3(BFHYD_01,DECIMAL,0)
     */
    private Short bfhyd01;

    /**
     * 含H2S mg/m3(BFHYD_02,DECIMAL,0)
     */
    private Short bfhyd02;

    /**
     * 含氨mg/m3(BFHYD_03,DECIMAL,0)
     */
    private Short bfhyd03;

    /**
     * 焦油和灰尘含量mg/m3(BFHYD_04,DECIMAL,0)
     */
    private Short bfhyd04;

    /**
     * 低热值KJ/m3(BFHYD_05,DECIMAL,0)
     */
    private Short bfhyd05;

    /**
     * O2%(BFHYD_06,DECIMAL,0)
     */
    private Short bfhyd06;

    /**
     * N2%(BFHYD_07,DECIMAL,0)
     */
    private Short bfhyd07;

    /**
     * CH4%(BFHYD_08,DECIMAL,0)
     */
    private Short bfhyd08;

    /**
     * CO%(BFHYD_09,DECIMAL,0)
     */
    private Short bfhyd09;

    /**
     * CO2%(BFHYD_10,DECIMAL,0)
     */
    private Short bfhyd10;

    /**
     * C2H4%(BFHYD_11,DECIMAL,0)
     */
    private Short bfhyd11;

    /**
     * H2%(BFHYD_12,DECIMAL,0)
     */
    private Short bfhyd12;

    private Date ts;

}