package com.steerinfo.weight.lgmes.controller;

import com.steerinfo.weight.lgmes.model.LgWeight;
import com.steerinfo.weight.lgmes.service.ILgWeightService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/${api.version}/lgweight")
public class LgWeightController {
      @Autowired
      private ILgWeightService lgWeightService;

      @GetMapping("/queryWeightByTime")
      public List<LgWeight> QueryWeightByTime(){
          List<LgWeight> lgWeights = lgWeightService.QueryWeightByTime();
          return  lgWeights;
      }

    @GetMapping("/queryWeightByTime2")
    public List<LgWeight> QueryWeightByTime2(String startTime,String endTime){
        List<LgWeight> lgWeights = lgWeightService.QueryWeightByTime2(startTime,endTime);
        return  lgWeights;
    }


}
